pamr.predictmany {pamr} | R Documentation

## A function giving prediction information for many threshold values, from a nearest shrunken centroid fit.

### Description

A function giving prediction information for many threshold values, from a nearest shrunken centroid fit

### Usage

    pamr.predictmany(fit, newx, threshold=fit$threshold, prior =fit$prior, threshold.scale = fit$
            threshold.scale, ...)

### Arguments

`fit` | The result of a call to pamr.train
`newx` | Matrix of features at which predictions are to be made
`threshold` | The desired threshold values
`prior` | Prior probabilities for each class. Default is that specified in "fit"
`threshold.scale` | Additional scaling factors to be applied to the thresholds. Vector of length equal to the number of classes. Default is that specified in "fit".
`...` | Additional arguments to be passed to pamr.predict

### Details

### Author(s)

Trevor Hastie, Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:4),size=20,replace=TRUE)
    mydata <- list(x=x,y=y)
    mytrain <-   pamr.train(mydata)

    pamr.predictmany(mytrain, mydata$x)

[Package pamr version 1.32.0 Index]